Wall of desktop move wrong window

Bug #743634 reported by Fabio Marconi on 2011-03-27
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Sam Spilsbury
compiz-plugins-main (Ubuntu)
Medium
Sam Spilsbury
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: compiz

Hello
Using Unity, clicking on the workspace switcher (desktop wall) and trying to drag and drop a window.
See attached screencast
Fabio

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: compiz 1:0.9.4git20110322-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
Architecture: amd64
CheckboxSubmission: da0a9053457cd51534683f0d3b1afbb3
CheckboxSystem: 4ed15c40009aa6f7770f606350a390a2
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.DP.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.2:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.3:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.2:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.3:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.VGA.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1366x768 1280x1024 1280x960 1152x864 1280x720 1024x768 1024x768 1024x768 1024x768 832x624 800x600 800x600 800x600 800x600 640x480 640x480 640x480 640x480 720x400
 edid-base64: AP///////wAiZBZLAQEBAQcUAQMKKRd46txVo1lIniQRUFS/7oCBgIFAgcBxT2FGAQEBAQEBZiFWqlEAHjBGjzMAmuYQAAAeAAAA/ABIYW5ucy5HIEhBMTk1AAAA/QA4SxhTEAAKICAgICAgAAAA/wAwMDdYQzNYWTAzMTQ5AF8=
Date: Sun Mar 27 15:17:36 2011
DistUpgraded: Log time: 2011-03-21 22:16:50.836326
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: virtualbox-ose, 4.0.4, 2.6.38-7-generic, x86_64: installed
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0042] (rev 12) (prog-if 00 [VGA controller])
   Subsystem: Giga-byte Technology Device [1458:d000]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110318)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110318)
MachineType: Gigabyte Technology Co., Ltd. H55M-S2H
ProcEnviron:
 LANGUAGE=it_IT:it:en_GB:en
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=1904a424-7d8e-4578-9194-0ff2d00f2733 ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
Renderer: Unknown
SourcePackage: compiz
UpgradeStatus: Upgraded to natty on 2011-03-25 (1 days ago)
dmi.bios.date: 12/03/2009
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F1
dmi.board.name: H55M-S2H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF1:bd12/03/2009:svnGigabyteTechnologyCo.,Ltd.:pnH55M-S2H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnH55M-S2H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: H55M-S2H
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.libdrm2: libdrm2 2.4.23-1ubuntu5
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

Fabio Marconi (fabiomarconi) wrote :
tags: added: screencast
Dave Gilbert (ubuntu-treblig) wrote :

Interesting; I can recreate this if there is a maximised window in the workspace to the left of the window I'm trying to move.

So in my case I have a 3x3 grid of workspaces;

1 2 3
4 5 6
7 8 9

If in (2) I have a maximized firefox and I try and move the aisleriot in (3) the firefox moves.
If I unmaximise the firefox I can move aisleriot.

Dave

Dave Gilbert (ubuntu-treblig) wrote :

I can reproduce it, with a specific set of steps (as commented).

Changed in compiz (Ubuntu):
status: New → Confirmed
summary: - Wall of desktop mouve wrong window
+ Wall of desktop move wrong window
Changed in unity:
status: New → Confirmed
Sam Spilsbury (smspillaz) wrote :

Confirmed.

I'm finishing off some fixes for the Grid plugin but I'll have a look at this ASAP.

Changed in unity:
importance: Undecided → Medium
Changed in compiz (Ubuntu):
importance: Undecided → Medium
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
Changed in compiz (Ubuntu):
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
Changed in unity:
milestone: none → 3.8
Changed in compiz (Ubuntu):
milestone: none → ubuntu-11.04-beta-1
Changed in unity:
status: Confirmed → In Progress
Changed in compiz (Ubuntu):
status: Confirmed → In Progress
Didier Roche (didrocks) on 2011-03-28
Changed in unity:
milestone: 3.8 → 3.8.2
Didier Roche (didrocks) on 2011-03-29
Changed in unity (Ubuntu):
status: New → In Progress
Changed in unity:
status: In Progress → Fix Committed
Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-04-01
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package unity - 3.8.2-0ubuntu1

---------------
unity (3.8.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in std::_List_node_base::_M_hook()
      (LP: #711916)
    - New window tracking system breaks in the case where windows try to
      restack relative to destroyed windows that were never mapped
      (LP: #723014)
    - does not display icons until hovered (LP: #726033)
    - Unity Launcher has black spaces where icons should be (LP: #729353)
    - compiz crashed with SIGSEGV in sigc::internal::signal_emit0<void,
      sigc::nil>::emit() (LP: #729715)
    - compiz crashed with SIGSEGV in SimpleLauncherIcon::OnIconThemeChanged()
      (LP: #741652)
    - compiz crashed with SIGSEGV in free() (LP: #738864)
    - compiz crashed with SIGSEGV in g_closure_invoke() (LP: #741674)
    - compiz crashed with SIGSEGV in free() (LP: #742300)
    - Unity can't get touch the touch initialization signals from GEIS
      (LP: #742555)
    - Windows that reparent away from the root before they are mapped can
      cause other windows to become invisible (and compiz to crash)
      (LP: #743011)
    - compiz crashed with SIGSEGV in gdk_cairo_set_source_pixbuf()
      (LP: #744231)
    - [dash] Keyboard navigation not implemented as specified (LP: #608132)
    - xterms broken in unity (LP: #692463)
    - Unity opens application menu on Alt+F10 shortcut (LP: #722674)
    - First four items in Dash begin "Find" "Find" "Find" "Find" (LP: #729002)
    - Increase the size of the top left Launcher reveal area from 1px to a
      slightly larger triangle that comes out of the top left corner
      (LP: #736034)
    - Add a test case for invisible windows regressions (LP: #736876)
    - Re-sync with xquerytree to avoid stacking order issues (LP: #740465)
    - Keyboard navigation: quicklist not opening for Trash launcher item
      (LP: #741793)
    - Wrong window moves (LP: #741656)
    - compiz crashed with SIGSEGV in
      SimpleLauncherIcon::ActivateLauncherIcon() (LP: #742110)
    - Combo in the search bar did not disappear after the places was closed
      (LP: #742712)
    - Expo doesn't quit reliably when using keynav or shortcut (LP: #744196)
    - Make the BFB icon turn blue when an application goes urgent
      (LP: #744973)
    - Launcher - increase "launcher reveal %" for 'Fade and slide' launcher
      reveal transition to 65% (LP: #745602)
    - Arrows do not fade out with rest of launcher durring DND (LP: #746811)
    - Don't create windows over the launcher (LP: #688816)
    - Launcher - Indicate which application is currently focused with a
      glowing Launcher icon (LP: #676604)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - dynamic quicklists are not working (LP: #729074)
    - When windows open for the first time they should not hide the launcher
      (LP: #723878)
    - it is still possible to quit unity from the panel (LP: #733725)
    - Selection does not fit small icons in Unity Dash (LP: #735746)
    - Unmounting media gives no error when failed (LP: #737633)
    - ATI/fglrx workaround patch (LP: #740298)
    - "Files & Folders" tooltip say...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Fabio Marconi (fabiomarconi) wrote :

Hello
this appear not fixed in the package unity - 3.8.2-0ubuntu1, with same problems.
Fabio on a fully updated Natty

Fabien Tassin (fta) wrote :

same here, not fixed.

I can reproduce quite easily with my 6x1 workspaces.
I have 2 workspaces with full screen apps: the 2nd with evolution and the 5th with an xterm
if i try to move anything in workspace 1,3,4,6, no problem
if i try to move evolution, it moves.. but if the next action is to move something from 1,3,4,6, evolution moves instead.
If i try again (the same window), it works.

Same if i move the xterm in 5 first, the next action moves the xterm.

(I would love to take a video of that but i can't make gtk-recordMyDesktop work with the wall).

Didier Roche (didrocks) wrote :

Look at the compiz task which is still fix committed and not fix released, you need to wait on next compiz upload before reporting the fix not working.

Didier Roche (didrocks) on 2011-04-04
Changed in unity:
milestone: 3.8.2 → 3.8.4
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110406-0ubuntu1

---------------
compiz (1:0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * new upstream bzr tarball:
    - display/size problems with xterm (LP: #748137)
    - fix crashes on tcl/tk applications (LP: #741074, #747439)
    - fix grab on compose keys (LP: #747323)
    - resync stack at regular interval to avoid invisible windows
      (LP: #723014, #743011, #736876, #740465, #684590)
    - fix weird order in alt + tab (LP: #175874)
    - fix crash in gitk (LP: #743011, #741074)
    - avoid compiz detection by fglrx driver (LP: #740298)
    - Wrong window moves (LP: #741656, #743634)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Feature Freeze Exception: Animation for Grid Plugin Previews (LP: #744104)
    - unity-window-decorator crashed with SIGSEGV in gdk_window_get_events()
      (LP: #725284)
    - fix xterm (LP: #692463)
    - start the decorator on a secondary screen (LP: #730495)
  * debian/patches/090_git_fix_new_invisible_windows.patch,
    debian/patches/100_bump_core.h.patch:
    - upstreamed
  * debian/patches/01_unity_window_decorator.patch
    debian/patches/085_add_grid_plugin.patch:
    - in bzr upstream tarball
 -- Didier Roche <email address hidden> Wed, 06 Apr 2011 19:37:45 +0200

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
pablomme (pablomme) wrote :

This hasn't been fixed entirely, although it's better than it was. Now it tends to happen especially at the start of the compiz session (after log in or after a crash and re-spawn), and then the problem seems to disappear (or happen less often, I'm not quite sure yet).

Didier Roche (didrocks) on 2011-04-07
affects: compiz (Ubuntu) → compiz-plugins-main (Ubuntu)
Changed in compiz-plugins-main (Ubuntu):
milestone: ubuntu-11.04-beta-1 → none
status: Fix Released → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz-plugins-main - 0.9.4+bzr20110406-0ubuntu1

---------------
compiz-plugins-main (0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * New upstream snapshot:
    - Wall of desktop move wrong window (LP: #743634)
    - Wrong window moves (LP: #741656)
  * 03_default_options.patch:
    Enforce switcher 'bring to front' to none to avoid seeing the launcher
    while doing ALT-Tab (LP: #750283)
 -- Didier Roche <email address hidden> Thu, 07 Apr 2011 14:21:07 +0200

Changed in compiz-plugins-main (Ubuntu):
status: Triaged → Fix Released
pablomme (pablomme) wrote :

Ok, all seems good now.

Didier Roche (didrocks) on 2011-04-07
Changed in unity:
status: Fix Committed → Fix Released
Fabio Marconi (fabiomarconi) wrote :

Perfect, guys.
Fixed for me too.
Thanks
FAbio

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers